// Accro.cpp : implementation file
#include "stdafx.h"
#include "bk.h"
#include "Accro.h"
#include "BkDoc.h"
#include <math.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
CAccro::CAccro(class CBkDoc* pDoc,short NbCol)
{                       
	m_pDoc=pDoc;
	m_iNbC=NbCol;
	m_OKAccro=FALSE;
	m_iC1=-1;m_iC2=-1;m_iNo=-1;
	m_fX=1e10;m_fY=1e10;
}
//________________________________________
CAccro::~CAccro()
{
}
//Sur toutes les valeurs__________________
BOOL CAccro::AccrocheGraphe(float f_x,float f_y,float ecart)
{
	short i,j1,j2;
	BOOL ok=FALSE;
	float 
		x,y,ec,
		xg,yg;

	i=0;
	do
	{
		j1=0;
		do
		{
			x=m_pDoc->m_fT[i][j1];
			if (x!=1e10)
			{
				xg=x*m_pDoc->m_fFactx;
				ec=fabs(xg-f_x);
				if (ec<ecart)	ok=TRUE;
			}
			if (!ok) j1++;
		}
		while (j1<m_iNbC && ok==FALSE);
		if (ok)
		{
			j2=0;ok=FALSE;
			do
			{
				y=m_pDoc->m_fT[i][j2];
				if (y!=1e10)
				{	
					yg=y*m_pDoc->m_fFacty;
					ec=fabs(yg-f_y);
					if (ec<ecart)	ok=TRUE;
				}
				if (!ok) j2++;
			}
			while (j2<m_iNbC && ok==FALSE);
		}
		if (!ok) i++;
	}
	while (i<m_pDoc->m_iNb && ok==FALSE);
	if (ok)
	{
		m_fX=x;
		m_fY=y;
		m_iNo=i;
		m_iC2=j2;
		m_iC1=j1;
		m_OKAccro=TRUE;
	}
	else
	{
		m_fX=1e10;
		m_fY=1e10;
		m_iNo=-1;
		m_iC2=-1;
		m_iC1=-1;
		m_OKAccro=FALSE;
	}
	return ok;
}
//Sur le graphique spcifi_______________
BOOL CAccro::AccrocheGraphe(short typegr,float f_x,float f_y,float ecart)
{
	short 
		co,li,
		i,j,n;
	BOOL OK;
	float 
		xg,yg,
		x,y,ec;

	OK=FALSE;
	li=-1;co=-1;
  if (typegr==0)
	{
		//y=f(x)
		li=0;
		co=1;
	}
  /*
	if (typegr==1)
	{
		li=0;
		co=2;
	}
	*/
	n=0;
	if (li!=-1 && co!=-1)
	while (n<m_pDoc->m_iNbMax && !OK)
	{
		x=m_pDoc->m_fT[n][li];
		y=m_pDoc->m_fT[n][co];
    if (x!=1e10 && y!=1e10)
    {
			xg=x*m_pDoc->m_fFactx;
			yg=y*m_pDoc->m_fFacty;
			ec=pow(pow(xg-f_x,2)+pow(yg-f_y,2),0.5);
			if (ec<ecart) OK=TRUE;      
   	}
		n++;
	}

	if (OK)	
	{
		m_fX=x;
		m_fY=y;
		m_iNo=n-1;
		m_iC2=co;
		m_iC1=li;
		m_OKAccro=TRUE;
	}
	else
	{
		m_fX=1e10;
		m_fY=1e10;
		m_iNo=-1;
		m_iC2=-1;
		m_iC1=-1;
		m_OKAccro=FALSE;
	}
	return OK;
}
//________________________________________
void CAccro::Dec(void)
{
	if (m_iC1!=-1 && m_iC2!=-1)
	{
		m_iNo--;
		if(m_iNo<0) m_iNo=m_pDoc->m_iNb;
		m_fX=m_pDoc->m_fT[m_iNo][m_iC1];
		m_fY=m_pDoc->m_fT[m_iNo][m_iC2];
	}
}
//________________________________________
void CAccro::Inc(void)
{
	if (m_iC1!=-1 && m_iC2!=-1)
	{
		m_iNo++;
		if(m_iNo>m_pDoc->m_iNb) m_iNo=0;
		m_fX=m_pDoc->m_fT[m_iNo][m_iC1];
		m_fY=m_pDoc->m_fT[m_iNo][m_iC2];
	}
}
//________________________________________
BOOL CAccro::OK(void)
{
	if (m_OKAccro) return TRUE; else return FALSE;
}
//________________________________________
short CAccro::C1(void)
{
	return m_iC1;
}
//________________________________________
short CAccro::C2(void)
{
	return m_iC2;
}
//________________________________________
short CAccro::N(void)
{
	return m_iNo;
}
//________________________________________
float CAccro::X(void)
{
	return m_fX;
}
//________________________________________
float CAccro::Y(void)
{
	return m_fY;
}
