// GrapheDlg.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "GrapheDlg.h"
#include "BkDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CGrapheDlg dialog
CGrapheDlg::CGrapheDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGrapheDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGrapheDlg)
	m_OK0 = FALSE;
	m_OK1 = FALSE;
	m_OK2 = FALSE;
	m_OK3 = FALSE;
	m_OK4 = FALSE;
	m_OK5 = FALSE;
	m_radioTypeAcq = -1;
	//}}AFX_DATA_INIT
}
void CGrapheDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGrapheDlg)
	DDX_Control(pDX, IDC_COMBO2, m_comboAbs);
	DDX_Control(pDX, IDC_COMBO1, m_comboOrd);
	DDX_Check(pDX, IDC_SERIE0, m_OK0);
	DDX_Check(pDX, IDC_SERIE1, m_OK1);
	DDX_Check(pDX, IDC_SERIE2, m_OK2);
	DDX_Check(pDX, IDC_SERIE3, m_OK3);
	DDX_Check(pDX, IDC_SERIE4, m_OK4);
	DDX_Check(pDX, IDC_SERIE5, m_OK5);
	DDX_Radio(pDX, IDC_SCAN1, m_radioTypeAcq);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CGrapheDlg, CDialog)
	//{{AFX_MSG_MAP(CGrapheDlg)
	ON_BN_CLICKED(IDC_SCAN1, OnScan1)
	ON_BN_CLICKED(IDC_SCAN2, OnScan2)
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_CBN_SELCHANGE(IDC_COMBO2, OnSelchangeCombo2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CGrapheDlg message handlers
BOOL CGrapheDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CFrameWnd *pFrame=(CFrameWnd *)(AfxGetApp()->m_pMainWnd);
	m_pDoc=(CBkDoc*)pFrame->GetActiveDocument();

	m_radioTypeAcq=m_pDoc->m_iTypeAcq;
	if (m_pDoc->m_iVisuGr&1) m_OK0=TRUE; else m_OK0=FALSE;
	if (m_pDoc->m_iVisuGr&2) m_OK1=TRUE; else m_OK1=FALSE;
	if (m_pDoc->m_iVisuGr&4) m_OK2=TRUE; else m_OK2=FALSE;
	if (m_pDoc->m_iVisuGr&8) m_OK3=TRUE; else m_OK3=FALSE;
	if (m_pDoc->m_iVisuGr&16) m_OK4=TRUE; else m_OK4=FALSE;
	if (m_pDoc->m_iVisuGr&32) m_OK5=TRUE; else m_OK5=FALSE;

	Liste(m_radioTypeAcq);

	UpdateData(FALSE);
	return TRUE;
}
//________________________________________
void CGrapheDlg::OnOK() 
{
	UpdateData(TRUE);

	m_pDoc->m_iTypeAcq=m_radioTypeAcq;
	m_pDoc->m_iVisuGr=0;
	if (m_OK0) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr+1;
	if (m_OK1) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr+2;
	if (m_OK2) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr+4;
	if (m_OK3) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr+8;
	if (m_OK4) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr+16;
	if (m_OK5) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr+32;
	m_pDoc->UpdateAllViews(NULL);
	CDialog::OnOK();
}
//________________________________________
void CGrapheDlg::Liste(short no) 
{
	CString s;
	short i;
	m_comboAbs.ResetContent();
	m_comboOrd.ResetContent();

	for (i=0;i<m_pDoc->m_tOrd[no].GetSize();i++)
	{
		m_comboOrd.AddString(m_pDoc->m_tOrd[no].GetAt(i));
	}
	m_comboOrd.GetLBText(m_pDoc->m_iNoOrd[no],s);
	m_comboOrd.SetWindowText(s);

	for (i=0;i<m_pDoc->m_tAbs[no].GetSize();i++)
	{
		m_comboAbs.AddString(m_pDoc->m_tAbs[no].GetAt(i));
	}
	m_comboAbs.GetLBText(m_pDoc->m_iNoAbs[no],s);
	m_comboAbs.SetWindowText(s);
	UpdateData(FALSE);
}
//________________________________________
void CGrapheDlg::OnScan1() 
{
	//Clic sur WS
	//UpdateData(TRUE);
	m_radioTypeAcq=m_pDoc->m_iTypeAcq=0;
	Liste(m_radioTypeAcq);
	UpdateData(FALSE);
}
//________________________________________
void CGrapheDlg::OnScan2() 
{
	//Clic sur WR	
	//UpdateData(TRUE);
	m_radioTypeAcq=m_pDoc->m_iTypeAcq=1;
	Liste(m_radioTypeAcq);
	UpdateData(FALSE);
}
//________________________________________
void CGrapheDlg::OnSelchangeCombo1() 
{
	//CString z;
	UpdateData(TRUE);
	if (m_comboAbs.GetCurSel()>=0)
	{
		m_pDoc->m_iNoAbs[m_radioTypeAcq]=m_comboAbs.GetCurSel();
	}
	if (m_comboOrd.GetCurSel()>=0)
	{
		m_pDoc->m_iNoOrd[m_radioTypeAcq]=m_comboOrd.GetCurSel();
	}
}
//________________________________________
void CGrapheDlg::OnSelchangeCombo2() 
{
	UpdateData(TRUE);
	if (m_comboAbs.GetCurSel()>=0)
	{
		m_pDoc->m_iNoAbs[m_radioTypeAcq]=m_comboAbs.GetCurSel();
	}
	if (m_comboOrd.GetCurSel()>=0)
	{
		m_pDoc->m_iNoOrd[m_radioTypeAcq]=m_comboOrd.GetCurSel();
	}
}
