// MainFrm.h : interface of the CMainFrame class
//////////////////////////////////////////
#include "excel8.h"
class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
protected:
	class CBkApp *m_pApp;
	class _Application *m_pAppli;
public:

// Operations
public:
	float atan3(float n,float d);
	void GrapheExcel(_Worksheet sheet,_Chart chart,CString plage1,CString plage2,CString titre,CString nom,CString abs,CString FormatX,CString FormatY);
	void EcritureExcel(void);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdatePage(CCmdUI *pCmdUI);
	afx_msg void OnUpdateRegression(CCmdUI* pCmdUI);
	afx_msg void OnRegression();
	afx_msg void OnUpdateFichierExcel(CCmdUI* pCmdUI);
	afx_msg void OnFichierExcel();
	afx_msg void OnConnecter();
	afx_msg void OnSauvegerderTampon();
	afx_msg void OnUpdateSauvegerderTampon(CCmdUI* pCmdUI);
	afx_msg void OnSelecGraphe();
	afx_msg void OnLireFichierDu600();
	afx_msg void OnUpdateParaWr(CCmdUI* pCmdUI);
	afx_msg void OnParaWr();
	afx_msg void OnUpdateParaWr1(CCmdUI* pCmdUI);
	afx_msg void OnParaWr1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//////////////////////////////////////////
