// BkDoc.h : interface of the CBkDoc class
//////////////////////////////////////////
class CBkDoc : public CDocument
{
protected: // create from serialization only
	CBkDoc();
	DECLARE_DYNCREATE(CBkDoc)

// Attributes
public:
	class CBkApp *m_pApp;
	//Coordonnes souris____________________
	short m_iX,m_iY,m_iDx,m_iDy;
	float m_fDx,m_fDy;									
	//______________________________________
	//Variables pour le trac graphique_____
 	float 
 		m_fLarg,m_fHaut,
 		m_fXmi,m_fXma,m_fYmi,m_fYma,
 		m_fEchx,m_fEchy,
 		m_fXori,m_fYori,  
 		m_fFactx,m_fFacty;
	//Tableau de valeurs____________________
	short m_iNb;
	short m_iNbMax;
	short m_iNbCol;
	float (*m_fT)[7];//7: m_iNbCol	
	//Rgressions___________________________
	class CRegres* m_pReg;
	//Marque de pointage accroche__________
	class CAccro* m_pAc;
	//Acquisitions__________________________
	CStringArray 
		m_tAbs[2],m_tOrd[2];
	//Graphes_______________________________
	short 
		m_iTypeGr,
		m_iNoAbs[2],m_iNoOrd[2],
		m_iTypeAcq,
		m_iNoSerie,
		m_iLambda[10];
	BOOL m_OKB[10];
	CString m_sIntBarre[10];
	float m_fPlus[10],m_fMult[10];

	int	m_iVisuGr;
	//Fichier buffer
	CFile m_Fic;
	int m_iNbCar;

// Operations
public:
	void Init_m_fT(void);
	void Analyse_buffer(short *p_serie);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBkDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBkDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBkDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//////////////////////////////////////////
