// Candibus.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "Candibus.h"
#include "BkDoc.h"
#include <conio.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//////////////////////////////////////////
// CCandibus
CCandibus::CCandibus()
{
	ADR1=0x280;          
	ADR2=0x282;          
	STATUS=0x284;
}
//________________________________________
CCandibus::~CCandibus()
{
}
BEGIN_MESSAGE_MAP(CCandibus, CStatic)
	//{{AFX_MSG_MAP(CCandibus)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//////////////////////////////////////////
// CCandibus message handlers
//________________________________________
float CCandibus::readad(int NoVoie)
{
	float
		mesure1,mesure2;
	int	
		nb=0;
	unsigned long i;	
	float r;
	switch(NoVoie)
	{
		case 0:
			_outp(ADR1,0xFF);
		
			nb=0;
			do
			{
				nb++;
			}
			while((_inp(STATUS)&1) && (nb<20000));
			if (nb<20000)
			{
				//On dcale de 4 bits (voir notice page 6.4)
				mesure1=(float)(_inp(ADR1)<<4);
				mesure2=(float)(_inp(ADR1+1)>>4);
				//r=(float)(-5.12+10.24*(mesure1+mesure2)/4095.0);
				r=(float)(10.24*(mesure1+mesure2-2047.5)/4094.0);
			}
			else
				r=1e10;
			/*
			Sleep(1);
			if (_inp(STATUS)&1)
				r=1e10;
			else
			{
				//On dcale de 4 bits (voir notice page 6.4)
				mesure1=(float)(_inp(ADR1)<<4);
				mesure2=(float)(_inp(ADR1+1)>>4);
				//r=(float)(-5.12+10.24*(mesure1+mesure2)/4095.0);
				r=(float)(10.24*(mesure1+mesure2-2047.5)/4094.0);
			}
			*/
		break;
		case 1:
			_outp(ADR2,0xFF);
		
			nb=0;
			do
			{
				nb++;
			}
			while((_inp(STATUS)&2) && (nb<20000));
			if (nb<20000)
			{
				mesure1=(float)(_inp(ADR2)<<4);
				mesure2=(float)(_inp(ADR2+1)>>4);
				//r=(float)(-5.12+10.24*(mesure1+mesure2)/4095.0);
				r=(float)(10.24*(mesure1+mesure2-2047.5)/4094.0);
			}
			else
				r=1e10;
			/*
			Sleep(1);
			if (_inp(STATUS)&2)
				r=1e10;
			else
			{
				//On dcale de 4 bits (voir notice page 6.4)
				mesure1=(float)(_inp(ADR2)<<4);
				mesure2=(float)(_inp(ADR2+1)>>4);
				//r=(float)(-5.12+10.24*(mesure1+mesure2)/4095.0);
				r=(float)(10.24*(mesure1+mesure2-2047.5)/4094.0);
			}
			*/
		break;
	}
	return r;
}
//________________________________________
float CCandibus::LitTension(int NoVoie,int Nb)
{                                             
	int i,k;
	float r,r1;
	k=0;        
	r1=0;
  if (GetVersion() & 0x80000000)
	{
		//Windows 98
		for (i=0;i<Nb;i++)
		{   
			r=readad(NoVoie);
			if (r!=1e10)
			{       
				r1=r1+r;
				k++;
			}     
		}
		if (k>=1) return r1/k; else return 1e10;
	}
	else
	{
		//XP
		return 1e10;
	}
}
