// ConRsDlg.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "BkDoc.h"
#include "ConRsDlg.h"
#include "DU600.h"
#include <sys/timeb.h>
#include <locale.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CConRsDlg dialog
CConRsDlg::CConRsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConRsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConRsDlg)
	m_sTexte1 = _T("");
	m_sTexte2 = _T("");
	m_sLigne = _T("");
	//}}AFX_DATA_INIT
	Create(IDD_CONNEXION,pParent);
}
void CConRsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConRsDlg)
	DDX_Control(pDX, IDC_SR, m_btnSR);
	DDX_Control(pDX, IDC_EFFACER, m_btnEffacer);
	DDX_Text(pDX, IDC_STATIC1, m_sTexte1);
	DDX_Text(pDX, IDC_STATIC2, m_sTexte2);
	DDX_Text(pDX, IDC_STATIC_LIGNE, m_sLigne);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CConRsDlg, CDialog)
	//{{AFX_MSG_MAP(CConRsDlg)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_VIDER, OnVider)
	ON_BN_CLICKED(IDC_INCREMENTER, OnIncrementer)
	ON_BN_CLICKED(IDC_EFFACER, OnEffacer)
	ON_BN_CLICKED(IDC_SR, OnSr)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
//CConRsDlg message handlers
/*
void CConRsDlg::PostNcDestroy()
{
	//delete this;
}
*/
//________________________________________
BOOL CConRsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	setlocale(LC_TIME,"French");
	m_pApp=(CBkApp*)AfxGetApp();
	//Pointeur sur le document en SDI
	if (AfxGetApp()->m_pMainWnd)
	{
		CFrameWnd *pFrame=(CFrameWnd *)(AfxGetApp()->m_pMainWnd);
		m_pDoc=(CBkDoc*)pFrame->GetActiveDocument();
	}
	else
		m_pDoc=NULL;
	m_sTexte2="";
	m_sTexte1="";
	//Ligne remplie de 120 espaces contenant m_iNbC caractres
	m_sLigne.Format("%120s"," ");m_iNbC=0;
	return TRUE;
}
//________________________________________
void CConRsDlg::Fermer(void)
{
	KillTimer(99);
	CloseHandle(m_hCom);
	//Si le fichier bk.$$$ est ouvert
	if (m_OKOuvert) m_pDoc->m_Fic.Close();
	CDialog::OnCancel();
}
//________________________________________
void CConRsDlg::OnTimer(UINT nIDEvent) 
{
	CString s;
	//Rception sur port srie
	if (m_OKBusy==FALSE)
	{
		m_OKBusy=TRUE;
		/*ok=*/ReadCom();
		m_t2=CTime::GetCurrentTime();
		CTimeSpan t=m_t2-m_t1,t1;
		s=t.Format("%H:%M:%S");
		m_sTexte2.Format("Connect  COM%d:9600,7,'N',1 depuis %s\nSrie %d - Le fichier tampon contient %d caractre(s).",m_radioCom+1,s,m_pDoc->m_iNoSerie,m_pDoc->m_iNbCar);

		//Des caractres non traits sont dans le buffer
		t1=m_t2-m_t3;
		if (t1.GetTotalSeconds()>m_iTempo && m_pDoc->m_iNbCar!=0)
		{
			//Si a fait plus de 2 s (WS) ou 10 s (WR) qu'on n'a rien reu
			//Si le fichier bk.$$$ est ouvert
			if (m_OKOuvert) 
			{
				m_pDoc->m_Fic.Close();
				m_OKOuvert=FALSE;
			}
			//On affecte la serie, le n de srie est incrment automatiquement
			m_pDoc->Analyse_buffer(&(m_pDoc->m_iNoSerie));
			m_pDoc->UpdateAllViews(NULL);
			m_pDoc->m_iNbCar=0;
		}
		//Affichage du N de srie courant sur le bouton Effacer srie x
		s.Format("&Effacer srie %d",m_pDoc->m_iNoSerie);
		m_btnEffacer.SetWindowText(s);

	
		UpdateData(FALSE);
		m_OKBusy=FALSE;
	}
	CDialog::OnTimer(nIDEvent);
}
//________________________________________
HANDLE CConRsDlg::Connexion(int radioCom) 
{
	DCB dcb;
	BOOL ok;

	m_radioCom=radioCom;
	switch (m_radioCom)
	{
		case 0://COM1
			m_hCom=CreateFile("COM1",GENERIC_READ|GENERIC_WRITE,0,NULL,OPEN_EXISTING,0,NULL);
		break;
		case 1://COM2
			m_hCom=CreateFile("COM2",GENERIC_READ|GENERIC_WRITE,0,NULL,OPEN_EXISTING,0,NULL);
		break;
	}
	if (m_hCom==INVALID_HANDLE_VALUE)
	{
		m_sTexte2.Format("Erreur de connexion au port COM%d !",m_radioCom+1);
		UpdateData(FALSE);	
	}
	else
	{
		GetCommState(m_hCom,&dcb);
		//Paramtres du port srie pour DU640
		//9600,7,'N',1
		dcb.BaudRate=CBR_9600;		//9600 bauds
		dcb.ByteSize=7;						//7 bits
		dcb.StopBits=ONESTOPBIT;	//ONESTOPBIT;//1 bit stop
		dcb.fParity=1;						//Enable parity checking
		dcb.Parity=0;							//0:no, 1:odd, 2:even, 3:mark, 4:space
		//Dans StdAfx.h:
		//#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
		SetCommState(m_hCom,&dcb);
		COMMTIMEOUTS ctmo;
		ok=GetCommTimeouts(m_hCom,&ctmo);
		if (ok)
		{
			ctmo.ReadIntervalTimeout=MAXDWORD;
			ctmo.ReadTotalTimeoutMultiplier=0;
			ctmo.ReadTotalTimeoutConstant=0;
			ctmo.WriteTotalTimeoutConstant=0;
			ctmo.WriteTotalTimeoutMultiplier=0;
			SetCommTimeouts(m_hCom,&ctmo);
		}
		m_t1=CTime::GetCurrentTime();   
		m_OKBusy=FALSE;SetTimer(99,1,NULL);
	}
	m_OKOuvert=FALSE;
	m_iNbC=0;
	return m_hCom;
}
//________________________________________
BOOL CConRsDlg::ReadCom(void)
{
	//Les caractres retourns sont crits dans le fichier bk.$$$ et dans la ligne m_sLigne
	BOOL ok,ok1=FALSE;
	DWORD q;
	char c[1];
	float r;
	int i;
	CFileException p_Error;
	CString s;

	do
	{
		ok=ReadFile(m_hCom,c,1,&q,NULL);
		if (ok && q!=0)
		{
			m_t3=CTime::GetCurrentTime();//Un caracttre a t reu  l'instant m_t3
			//__________________________________			
			if (m_OKOuvert==FALSE)
			{
				//Le fichier bk.$$$ n'est pas ouvert, on l'ouvre...
				m_OKOuvert=TRUE;
				m_OK=m_pDoc->m_Fic.Open("bk.$$$",CFile::modeWrite|CFile::modeCreate,&p_Error);
				m_pDoc->m_iNbCar=0;	//Nb. de caractres dans le fichier bk.$$$
				m_iNbC=0;						//Nb. de caractres dans m_sLigne
				m_iTempo=15;//On prend la tempo dfavorable de 15 s (WR)
			}
			//On crit le caractre dans le fichier bk.$$$ et dans la chane m_sLigne (dernire ligne reue)
			if (m_OKOuvert==TRUE && m_OK==TRUE)
			{
				s.Format("%c",c[0]);
				//Fichier bk.$$$
				m_pDoc->m_Fic.Write(s,1);
				m_pDoc->m_iNbCar++;
			}
			//__________________________________			
			if (c[0]!='\n' && c[0]!='\r')
			{
				m_sTexte1=m_sTexte1+c[0];
				if (m_iNbC<109) 
				{
					//Dernire ligne reue (limite  110 caractres)
					m_sLigne.SetAt(m_iNbC,c[0]);
					m_iNbC++;
					m_sLigne.SetAt(m_iNbC,'\0');
				}
				
				i=sscanf(m_sLigne,"%f",&r);
				if (i==1)
				{
					if (r>=80 && r<=1500)
						//Si le premier nombre de la ligne est suprieur  80, on peut passer la tempo  2 s
						//WS: Long. d'onde...
						m_iTempo=2; 
				
					else
						//WR: N de mesure...	
						m_iTempo=15;
				}
			}
			else
			{
				//Fin de ligne rencontre
				m_sLigne.Format("%120s"," ");m_iNbC=0;
				m_sTexte1=m_sTexte1+"  ";
				//Ajout le 05/011 pour diminuer attente en fin de transmission
				m_iTempo=2; 
			}
			if (m_sTexte1.GetLength()>170)	m_sTexte1="... "+m_sTexte1.Right(140);
			ok1=TRUE;
		}			
	}
	while (ok && q);
	return ok1;
}
//________________________________________
void CConRsDlg::OnVider() 
{
	m_sLigne.Format("%120s"," ");m_iNbC=0;
	//Si le fichier bk.$$$ est ouvert
	if (m_OKOuvert) 
	{
		m_pDoc->m_Fic.Close();
		m_OKOuvert=FALSE;
	}
	m_pDoc->m_iNbCar=0;
	m_pDoc->Init_m_fT();
	m_pDoc->m_iNoSerie=0;
	m_sTexte2.Format("Initialisation sries...");
	m_sTexte1="";
	m_pDoc->UpdateAllViews(NULL);
	UpdateData(FALSE);
	Sleep(800);
}
//________________________________________
void CConRsDlg::OnIncrementer() 
{
	m_pDoc->m_iNoSerie++;
	if (m_pDoc->m_iNoSerie>5) m_pDoc->m_iNoSerie=0;
	//CString s;s.Format("&Effacer srie %d",m_pDoc->m_iNoSerie);
	//m_btnEffacer.SetWindowText(s);
}
//________________________________________
void CConRsDlg::OnEffacer() 
{
	CString s;
	s.Format("Dsirez-vous rellement effacer la srie %d ?",m_pDoc->m_iNoSerie);
	int i=AfxMessageBox(s,MB_YESNO);
	if (i==IDYES)
	{
		for (i=0;i<m_pDoc->m_iNbMax;i++)
		{
			m_pDoc->m_fT[i][m_pDoc->m_iNoSerie+1]=1e10;
		}
		if (m_pDoc->m_iNoSerie==0 && m_pDoc->m_iVisuGr&1) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr-1; 
		if (m_pDoc->m_iNoSerie==1 && m_pDoc->m_iVisuGr&2) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr-2; 
		if (m_pDoc->m_iNoSerie==2 && m_pDoc->m_iVisuGr&4) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr-4; 
		if (m_pDoc->m_iNoSerie==3 && m_pDoc->m_iVisuGr&8) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr-8; 
		if (m_pDoc->m_iNoSerie==4 && m_pDoc->m_iVisuGr&16) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr-16; 
		if (m_pDoc->m_iNoSerie==5 && m_pDoc->m_iVisuGr&32) m_pDoc->m_iVisuGr=m_pDoc->m_iVisuGr-32; 
		m_pDoc->UpdateAllViews(NULL);	
	}
}
//________________________________________
void CConRsDlg::OnSr() 
{
	//Basculement visualisation entre Scan et Read
	if (m_pDoc->m_iTypeAcq==0)
	{
		m_pDoc->m_iTypeAcq=1;//WaveLengthReading
		m_iTempo=2;
		//m_btnSR.SetWindowText("&REA");
	}
	else
	{
		m_pDoc->m_iTypeAcq=0;//WaveLengthReading
		m_iTempo=15;
		//m_btnSR.SetWindowText("&SCA");
	}
	m_pDoc->UpdateAllViews(NULL);
}
