// ParWRDlg.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "ParWRDlg.h"
#include "BkDoc.h"
#include "math.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CParWRDlg dialog
CParWRDlg::CParWRDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CParWRDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CParWRDlg)
	m_s5 = _T("");
	m_radioType = -1;
	m_fMult = 0.0f;
	m_fPlus = 0.0f;
	m_iLambda = 0;
	m_sLegende = _T("");
	m_OKCache = FALSE;
	//}}AFX_DATA_INIT
}
void CParWRDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CParWRDlg)
	DDX_Control(pDX, IDC_COMBO2, m_comboBarre1);
	DDX_Control(pDX, IDC_COMBO1, m_comboBarre);
	DDX_Text(pDX, IDC_STATIC5, m_s5);
	DDX_Radio(pDX, IDC_RADIOTYPE, m_radioType);
	DDX_Text(pDX, IDC_MULT, m_fMult);
	DDX_Text(pDX, IDC_PLUS, m_fPlus);
	DDX_Text(pDX, IDC_LAMBDA, m_iLambda);
	DDX_Text(pDX, IDC_LEGENDE, m_sLegende);
	DDX_Check(pDX, IDC_CACHER, m_OKCache);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CParWRDlg, CDialog)
	//{{AFX_MSG_MAP(CParWRDlg)
	ON_BN_CLICKED(IDACTUALISER, OnActualiser)
	ON_BN_CLICKED(IDC_RADIOTYPE, OnRadiotype)
	ON_BN_CLICKED(IDC_RADIOTYPE2, OnRadiotype2)
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_BN_CLICKED(IDC_RADIOTYPE5, OnRadiotype5)
	ON_BN_CLICKED(IDC_RADIOTYPE6, OnRadiotype6)
	ON_BN_CLICKED(IDC_CACHER, OnCacher)
	ON_BN_CLICKED(IDC_RADIOTYPE7, OnRadiotype7)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CParWRDlg message handlers

BOOL CParWRDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CFrameWnd *pFrame=(CFrameWnd *)(AfxGetApp()->m_pMainWnd);
	m_pDoc=(CBkDoc*)pFrame->GetActiveDocument();
	CString s;
	short i;

	m_radioType=4;//Lgende par dfaut
	m_comboBarre.ResetContent();
	m_comboBarre1.ResetContent();
	for (i=0;i</*m_pDoc->m_iNb*/10;i++)
	{
		s.Format("(%c)",i+65);
		m_comboBarre.AddString(s);
	}
	m_iDer=-1;
	m_comboBarre.GetLBText(0,s);
	m_comboBarre.SetWindowText(s);

	for (i=0;i<10;i++)
	{
		s.Format("(%c)",i+65);
		m_comboBarre1.AddString(s);
	}
	//Dernire barre par dfaut
	m_comboBarre1.GetLBText(9,s);
	m_comboBarre1.SetWindowText(s);
	
	m_s5="Si le n des barres [A, J] n'est pas visible, faire un zoom.\nPar actualiser une opration, cliquer sur Mettre  jour.";
	UpdateData(FALSE);

	MAJ();

	return TRUE;
}
//________________________________________
void CParWRDlg::OnOK() 
{
	//CDialog::OnOK();
}
//________________________________________
void CParWRDlg::OnCancel() 
{
	CDialog::OnCancel();
}
//________________________________________
void CParWRDlg::OnActualiser() 
{
	if (m_iDer!=-1) MettreDansDocument(m_iDer);
}
//________________________________________
void CParWRDlg::OnRadiotype() 
{
	MAJ();
}
void CParWRDlg::OnRadiotype2() 
{
	MAJ();
}
void CParWRDlg::OnRadiotype5() 
{
	MAJ();
}
void CParWRDlg::OnRadiotype6() 
{
	MAJ();
}
void CParWRDlg::OnRadiotype7() 
{
	MAJ();
}//________________________________________
void CParWRDlg::OnSelchangeCombo1() 
{
	//if (m_iDer!=-1) MettreDansDocument(m_iDer);
	MAJ();
}
//________________________________________
void CParWRDlg::MettreDansDocument(short n) 
{
	//Affecter  les paramtres de la barre Nn au document et regnrer le trac
	UpdateData(TRUE);

	short i,nd;
	if (m_comboBarre1.GetCurSel()<0)
		nd=9;
	else
		nd=m_comboBarre1.GetCurSel();
	if (m_pDoc->m_iNb<nd+1) m_pDoc->m_iNb=nd+1;
	switch (m_radioType)
	{
		case 0://Lambda
			m_pDoc->m_iLambda[n]=m_iLambda;
			m_pDoc->m_sIntBarre[n].Format("Lambda(nm): %d",m_iLambda);
			m_sLegende=m_pDoc->m_sIntBarre[n];
		break;
		case 1://Calcul
			//On fait le calcul de n ver nd pour toutes les sries
			for (i=0;i<m_pDoc->m_iNbCol;i++)
			{
				if (m_pDoc->m_fT[n][i]!=1e10)
					m_pDoc->m_fT[nd][i]=m_pDoc->m_fT[n][i]*m_fMult+m_fPlus;
				else
					m_pDoc->m_fT[nd][i]=1e10;
			}
			m_pDoc->m_sIntBarre[nd].Format("Calcul: (%c) X %1.3f + %1.3f",n+65,m_fMult,m_fPlus);
			//Barre destination visualise
			m_pDoc->m_OKB[nd]=TRUE;
		break;
		case 2://Abs
			//On fait le calcul de n ver nd pour toutes les sries
			for (i=0;i<m_pDoc->m_iNbCol;i++)
			{
				if (m_pDoc->m_fT[n][i]!=1e10)
				{
					if (m_pDoc->m_fT[n][i]>0)
						m_pDoc->m_fT[nd][i]=-log10(m_pDoc->m_fT[n][i]);
					else
						m_pDoc->m_fT[nd][i]=0;
				}
				else
					m_pDoc->m_fT[nd][i]=1e10;
			}
			m_pDoc->m_sIntBarre[nd].Format("ABS=-log10(%c)",n+65);
			m_pDoc->m_OKB[nd]=TRUE;
		break;
		case 3://Trans
			//On fait le calcul de n ver nd pour toutes les sries
			for (i=0;i<m_pDoc->m_iNbCol;i++)
			{
				if (m_pDoc->m_fT[n][i]!=1e10)
					m_pDoc->m_fT[nd][i]=100*pow(10,-m_pDoc->m_fT[n][i]);
				else
					m_pDoc->m_fT[nd][i]=1e10;
			}
			m_pDoc->m_sIntBarre[nd].Format("T%%=100.10^-(%c)",n+65);
			m_pDoc->m_OKB[nd]=TRUE;
		break;
		case 4://Lgende
			m_pDoc->m_sIntBarre[n]=m_sLegende;
		break;
	}
	UpdateData(FALSE);
	m_pDoc->UpdateAllViews(NULL);
}
//________________________________________
void CParWRDlg::MAJ() 
{
	UpdateData(TRUE);
	short n;
	if (m_comboBarre.GetCurSel()<0)
	{
		n=0;
	}
	else
		n=m_comboBarre.GetCurSel();

	//Paramtres de la nouvelle barre
	m_iDer=n;
	//Long. d'onde
	m_iLambda=m_pDoc->m_iLambda[n];
	//Intitul
	m_sLegende=m_pDoc->m_sIntBarre[n];
	//Cach
	m_OKCache=!m_pDoc->m_OKB[n];
	//Calculs
	if (m_iLambda==700)
	{
		m_fMult=143;
		m_fPlus=0;
	}
	else
	if (m_iLambda==800)
	{
		m_fMult=80;
		m_fPlus=0;
	}
	else
	if (m_iLambda==750)
	{
		m_fMult=95.2;
		m_fPlus=0;
	}
	else
	{
		m_fMult=m_pDoc->m_fMult[n];
		m_fPlus=m_pDoc->m_fPlus[n];
	}
	UpdateData(FALSE);

	switch (m_radioType)
	{
		case 0://Lambda
			GetDlgItem(IDC_LAMBDA)->EnableWindow(TRUE);
			GetDlgItem(IDC_MULT)->EnableWindow(FALSE);
			GetDlgItem(IDC_PLUS)->EnableWindow(FALSE);
			GetDlgItem(IDC_COMBO2)->EnableWindow(FALSE);
			GetDlgItem(IDC_LEGENDE)->EnableWindow(TRUE);
		break;
		case 1://Calcul
			GetDlgItem(IDC_LAMBDA)->EnableWindow(FALSE);
			GetDlgItem(IDC_MULT)->EnableWindow(TRUE);
			GetDlgItem(IDC_PLUS)->EnableWindow(TRUE);
			GetDlgItem(IDC_COMBO2)->EnableWindow(TRUE);
			GetDlgItem(IDC_LEGENDE)->EnableWindow(TRUE);
		break;
		case 2://ABS
			GetDlgItem(IDC_LAMBDA)->EnableWindow(FALSE);
			GetDlgItem(IDC_MULT)->EnableWindow(FALSE);
			GetDlgItem(IDC_PLUS)->EnableWindow(FALSE);
			GetDlgItem(IDC_COMBO2)->EnableWindow(TRUE);
			GetDlgItem(IDC_LEGENDE)->EnableWindow(TRUE);
		break;
		case 3://%T
			GetDlgItem(IDC_LAMBDA)->EnableWindow(FALSE);
			GetDlgItem(IDC_MULT)->EnableWindow(FALSE);
			GetDlgItem(IDC_PLUS)->EnableWindow(FALSE);
			GetDlgItem(IDC_COMBO2)->EnableWindow(TRUE);
			GetDlgItem(IDC_LEGENDE)->EnableWindow(TRUE);
		break;
		case 4://Lgende
			GetDlgItem(IDC_LAMBDA)->EnableWindow(FALSE);
			GetDlgItem(IDC_MULT)->EnableWindow(FALSE);
			GetDlgItem(IDC_PLUS)->EnableWindow(FALSE);
			GetDlgItem(IDC_COMBO2)->EnableWindow(FALSE);
			GetDlgItem(IDC_LEGENDE)->EnableWindow(TRUE);
		break;
	}
}
//________________________________________
void CParWRDlg::OnCacher() 
{
	short n;
	UpdateData(TRUE);
	if (m_comboBarre.GetCurSel()<0)
	{
		n=0;
	}
	else
		n=m_comboBarre.GetCurSel();
	m_pDoc->m_OKB[n]=!m_OKCache;
	m_pDoc->UpdateAllViews(NULL);
}

